import cnrg.itx.signal.*; // for DesktopSignaling
public class Dump extends AbstractSignalingObserver {
   public static void main (String[] args) {
      Dump me = new Dump();
   }
   public Dump() {
      try {
         DesktopSignaling sig = new DesktopSignaling (this, "PhoneRecorder", "password");
         sig.getDirectory().dumpAllUsers();
         sig.logout();  // remove this Loction 
      } catch (Exception e) {
         System.out.println("Couldn't get authenticated");
      }
   }
}
